MKRESPONSE(1)

NAME
mkresponse - create response information file

SYNOPSIS
mkresponse [ -o output_file_name ] [ filename ]

DESCRIPTION
mkresponse is used to create binary file, describing response information for setlocale(3) and localeinfo(3). filename is the name of input file. If none given, stdin used.

OPTIONS

-o output_file_name
    Write the output on output_file_name; otherwise, write the output on a file named LC_RESPONSE.

INPUT FILE FORMAT
Empty lines and lines beginning with # are ignored. The backslash character, \, is used for continuation. No characters are permitted after it. The following statements are recognized:

codeset codename

    Codename is the name of codeset. This statement is required.

Next not ignored line taken as affirmative answer string. Next not ignored line taken as negative answer string.

EXAMPLE
codeset dummy
yes
no

BUGS
None are know at the moment. If you find any, feel free to fix.

AUTHOR
Nickolay Saukh - <nms@ussr.EU.net>

FILES
/usr/lib/locale/locale/LC_RESPONSE - LC_RESPONSE database for
/usr/include/localeinfo.h locale

SEE ALSO
setlocale(3), localeconv(3), mkcollate(1), mkctype(1), mkmonetary(1), mknumeric(1), mktime(1)